Def Input Parameter ipNUM   AS Integer   NO-UNDO.
Def Input Parameter ipNAME  AS Character NO-UNDO.
Def Input Parameter ipABS   AS Decimal   NO-UNDO.
Def Input Parameter ipPRICE AS Decimal   NO-UNDO.
Def Input Parameter ipDESC  AS Character NO-UNDO.
Def Input Parameter ipDIS   AS Integer   NO-UNDO.

Def Var lvNAM AS Char NO-UNDO.
Def Var lvNUM  AS Integer NO-UNDO.

  Find First CUSTOMER Where (CUSTOMER.Cust-num = ipNUM) No-Error.
  If NOT Available CUSTOMER Then Do:
    CREATE CUSTOMER.
    CUSTOMER.Cust-num = ipNUM. 
  END.
  If ipNAME <> "" Then Do:
    lvNAM = "Has Name".
    CUSTOMER.Name = ipNAME.
    CUSTOMER.Max-credit = (CUSTOMER.Mnth-sales[11] * CUSTOMER.Discount) + (ipPRICE * CUSTOMER.Curr-bal).
    CUSTOMER.Discount = CUSTOMER.Discount + ipDIS.
    IF CUSTOMER.Discount <> 0 THEN
       CUSTOMER.Max-credit = CUSTOMER.Max-credit / CUSTOMER.Discount.
    CUSTOMER.Cust-num = CUSTOMER.Cust-num + 12.
  END. ELSE DO:  
    lvNAM = "No Name".
    CUSTOMER.Phone = "555-555".
    CUSTOMER.City = "London".
    CUSTOMER.St = "Baker Street".
    IF CUSTOMER.Contact = "" THEN CUSTOMER.Contact = "mail@me.now".
    CUSTOMER.Curr-bal = 12345.67.
  END.
  ipABS = ABSOLUTE(CUSTOMER.Ytd-sls).
  FIND LAST ORDER WHERE (ORDER.Order-num  = ipNUM) USE-INDEX cust-order NO-LOCK NO-ERROR.
  If Available ORDER Then lvNUM = ORDER.Cust-num + 1.
    ELSE                  lvNUM = 1.
  CREATE ORDER.
  ORDER.Name     = "My Order Name".
  ORDER.Address2 = CUSTOMER.City.
  ORDER.Odate    = Today.
  ORDER.Sdate    = Date(Month(Today),1, Year(Today)).
  ORDER.Shipped  = "N".
  ORDER.Zip      = CUSTOMER.Zip.
  ORDER.Cust-num    = IF ORDER.Order-num = 13 THEN 12 ELSE 11 * lvNUM.
  ORDER.City     = CUSTOMER.City.
  RELEASE ORDER.
  RELEASE CUSTOMER.
